== Changelog ==

= 1.1.25.2 =
* Fixed CSRF vulnerability in toggle_sync_status AJAX handler.
* Fixed: Warning: Attempt to read property "roles" on bool.
* Fixed: Fatal error: Uncaught TypeError: Illegal offset type.
* Fixed bug where custom field mapping data can be missing.
* Improvement: sync retry now after one hour, not after a minute.

= 1.1.25.1 =
* Improved admin UI for WP 7
* Fixed bug with Salesforce connection.

= 1.1.25.0 =
* Added [SendPulse integration](https://fusewp.com/article/connect-wordpress-to-sendpulse/?ref=changelog).
* Added [Mailercloud integration](https://fusewp.com/article/connect-wordpress-to-mailercloud/?ref=changelog).
* Added [Bento integration](https://fusewp.com/article/connect-wordpress-to-bento/?ref=changelog).
* Added [Engage.so integration](https://fusewp.com/article/connect-wordpress-to-engage/?ref=changelog).
* Added [Birdsend integration](https://fusewp.com/article/connect-wordpress-to-birdsend/?ref=changelog).
* Improved reliability of sync by adding better support for delayed sync.
* Fixed PHP fatal errors when integrated plugin becomes inactive.

= 1.1.24.2 =
* Added a 1-second throttle to sender.net api during bulk-sync.
* Added list as a segmentation to GetResponse integration.
* Added fusewp_beehiiv_is_unsubscribe_user filter.
* Fixed bug where dayOfCycle is missing in GetResponse subscribe params.
* Fixed bug where Flodesk integration didn’t return all segments.
* Fixed bug where sender.net only returned 10 groups.

= 1.1.24.1 =
* Added a mechanism for retrying jobs on failure.
* Increased beehiiv api timeout to 60secs.
* Added a second throttle to beehiiv api during bulksync.

= 1.1.24.0 =
* Upgraded HubSpot integration fully to v3 API.
* Fixed bug where Kit attempted to add tag to subscriber without an email.
* Fixed HubSpot cache clearing bug
* Performance improvements to reduce memory usage.

= 1.1.23.1 =
* Fixed CSRF issue when saving sync rule.
* Improved user sync caching.

= 1.1.23.0 =
* Added [SureForms integration](https://fusewp.com/article/sync-sureforms-email-marketing/?ref=changelog).
* Added [WS Form integration](https://fusewp.com/article/sync-wsform-email-marketing/?ref=changelog).
* Pro [FluentCommunity integration](https://fusewp.com/article/sync-fluentcommunity-email-marketing/?ref=changelog).
* Pro [AffiliateWP integration](https://fusewp.com/article/sync-affiliatewp-email-marketing/?ref=changelog).
* Pro [SliceWP integration](https://fusewp.com/article/sync-slicewp-email-marketing/?ref=changelog).
* Added fusewp_sync_mailchimp_api_key filter.
* Fixed token refresh not working for zoho for non-US accounts.

= 1.1.22.0 =
* Added [Ninja Forms integration](https://fusewp.com/article/sync-ninja-forms-email-marketing/?ref=changelog).
* Added [Formidable Forms integration](https://fusewp.com/article/sync-formidable-forms-email-marketing/?ref=changelog).
* Added [Everest Forms integration](https://fusewp.com/article/sync-everest-forms-email-marketing/?ref=changelog).
* Pro [Sensei LMS integration](https://fusewp.com/article/sync-sensei-lms-email-marketing/?ref=changelog).
* Pro [Masterstudy LMS integration](https://fusewp.com/article/sync-masterstudy-lms-email-marketing/?ref=changelog).

= 1.1.21.0 =
* Pro [WP Travel Engine integration](https://fusewp.com/article/sync-wp-travel-engine-email-marketing/?ref=changelog).
* Added [Fluent Forms integration](https://fusewp.com/article/sync-fluent-forms-email-marketing/?ref=changelog).
* Added [Forminator integration](https://fusewp.com/article/sync-forminator-email-marketing/?ref=changelog).
* Added [Sender.net integration](https://fusewp.com/article/connect-wordpress-to-sender/?ref=changelog).
* Added [Groundhogg integration](https://fusewp.com/article/connect-wordpress-to-groundhogg/?ref=changelog).

= 1.1.20.0 =
* Added [Contact forms 7 integration](https://fusewp.com/article/sync-contact-form-7-email-marketing/?ref=changelog).
* Pro [Academy LMS integration](https://fusewp.com/article/sync-academy-lms-email-marketing/?ref=changelog).
* Pro [Paid Member Subscriptions integration](https://fusewp.com/article/sync-paid-member-subscriptions-email-marketing/?ref=changelog).
* Pro [Profile Builder Integration](https://fusewp.com/article/connect-profile-builder-email-marketing-software/?ref=changelog).
* Pro [Ortto integration](https://fusewp.com/article/connect-wordpress-to-ortto/?ref=changelog).
* Pro [MailPoet integration](https://fusewp.com/article/connect-wordpress-to-mailpoet/?ref=changelog).
* Fixed bug where sync for plugin integrations didn't work.
* Optimized queue popping query so over-attempted jobs don't stop the queue.
* Skip Klaviyo phone number if of invalid format.
* Fixed sync failure due to empty Klaviyo address field data.
* Fixed search not working correctly on the Sync Log page.
* Added fusewp_bulk_sync_cache_enabled filter to disable bulk-sync cache.

= 1.1.19.0 =
* Pro [GiveWP integration](https://fusewp.com/article/sync-givewp-email-marketing/?ref=changelog).
* Pro [Salesforce integration](https://fusewp.com/article/connect-wordpress-with-salesforce/?ref=changelog).
* Added [beehiiv integration](https://fusewp.com/article/connect-wordpress-to-beehiiv/?ref=changelog).
* Added logging of failed queue jobs.
* Added filter flag to enable adding Klaviyo profile to Lists without explicit consent.
* Fixed: Function _load_textdomain_just_in_time was called incorrectly.
* Fixed bug in IP address detection.

= 1.1.18.0 =
* Added [Encharge integration](https://fusewp.com/article/connect-wordpress-to-encharge/?ref=prochangelog).
* Pro: [Google Sheets integration](https://fusewp.com/article/connect-wordpress-with-google-sheets/?ref=changelog).
* Pro: WPForo integration.
* Pro: Added payment subscription syncing support for WPForms.
* Added search to sync log page.
* Increased lifespan of AWeber caches.
* Increase ActiveCampaign tag fetching limit to 1k.

= 1.1.17.1 =
* Added support for Klaviyo custom property field mapping via code.
* Fixed bug with Flodesk during bulk-sync due to invalid IP.
* Fixed bug where Brevo might not correctly add users to list.
* Fixed DB error.
* Improved MemberPress bulk-syncing.

= 1.1.17.0 =
* Added [Keap integration](https://fusewp.com/article/connect-wordpress-to-keap/?ref=changelog).
* Added [Zoho Campaigns integration](https://fusewp.com/article/connect-wordpress-to-zoho-campaigns/?ref=changelog).

= 1.1.16.1 =
* Added tool for cleaning up bulk sync queued jobs.
* Improved caching of HubSpot API data to avoid rate limiting.
* Fixed bug with incorrect insertion of ob_start().

= 1.1.16.0 =
* Added [Tutor LMS integration](https://fusewp.com/article/sync-tutor-lms-email-marketing/?ref=changelog).
* Added [FluentCRM integration](https://fusewp.com/article/connect-wordpress-to-fluentcrm/?ref=changelog).
* Improve queue system to prevent unsubscription and resubscription loop.

= 1.1.15.0 =
* Added [WPForms integration](https://fusewp.com/article/sync-wpforms-email-marketing/?ref=changelog).
* Added Queue system for processing sync actions.
* Improve bulk-syncing by showing processing status and skipping processed records.
* Added fusewp_should_process_sync_immediately filter.
* Enhancement: Add data as custom properties in Klaviyo without a mapped corresponding field.
* Fixed a bug where the Gravity Form LeadEmailAddress field was showing for other integrations.
* Fixed bug where empty field value didn't update in HubSpot.
* Fixed bug with fusewpEmail included in sync payload.
* Remove deprecated jQuery codes.

= 1.1.14.0 =
* Added [Gravity Forms integration](https://fusewp.com/article/sync-gravity-forms-email-marketing/?ref=changelog).
* Added [GetResponse integration](https://fusewp.com/article/connect-wordpress-to-getresponse/?ref=changelog).
* Added [Mailjet integration](https://fusewp.com/article/connect-wordpress-to-mailjet/?ref=changelog).
* Added tag as segmentation support to Mailchimp integration.
* Fixed bug where some CRM integrations didn't fetch all lists, tags, and custom fields.
* Fixed N+1 DB query issue by introducing Source Item row to Sync rule page.
* Added caching to the AWeber email list and custom field methods.
* Reduced Bulksync cron schedule from 5 to 1mins.

= 1.1.13.0 =
* Added [EmailOctopus integration](https://fusewp.com/article/connect-wordpress-to-emailoctopus/?ref=changelog).
* Added [Drip integration](https://fusewp.com/article/connect-wordpress-to-drip/?ref=changelog).
* Added [Omnisend integration](https://fusewp.com/article/connect-wordpress-to-omnisend/?ref=changelog).

= 1.1.12.0 =
* Added [Zoho CRM integration](https://fusewp.com/article/connect-wordpress-to-zoho-crm/?ref=changelog).
* Pro [Easy Digital Downloads integration](https://fusewp.com/article/sync-easy-digital-downloads-email-marketing/?ref=changelog).
* Added context to error logs.
* Fixed bug where bulk-sync processed items from newest to oldest instead of the opposite.

= 1.1.11.0 =
* Added [MailerLite integration](https://fusewp.com/article/connect-wordpress-to-mailerlite/?ref=changelog).
* Added [HighLevel integration](https://fusewp.com/article/connect-wordpress-to-highlevel/?ref=changelog).
* Enhancement: Sync actions are now executed on PHP shutdown.
* Added filter to sync roles of users.

= 1.1.10.1 =
* Fixed bug where hubspot fails to add contact to list.

= 1.1.10.0 =
* Fixed bug where Klaviyo only returned 10 lists.
* Fixed bug where multi select field was not clearing in Campaign Monitor Sync.
* Added setting to enable/disable external sync on profile update.
* Added filter to bulk sync record limit.
* Ensure Klaviyo adds users to the correct list even if they already exist as profiles.
* Fixed bug with sync causing issues when users are added from wp-admin.
* Fixed PHP Warning: Attempt to read property "ID" on bool.

= 1.1.9.0 =
* Added [Klaviyo integration](https://fusewp.com/article/connect-wordpress-to-klaviyo/?ref=changelog).
* Added [Flodesk integration](https://fusewp.com/article/connect-wordpress-to-flodesk/?ref=changelog).
* Pro: [WooCommerce Sync](https://fusewp.com/article/sync-woocommerce-email-marketing/?ref=changelog).
* Use tagging for segmentation in ConvertKit.
* Declared HPOS support for WooCommerce.
* Added ANY source rule support for bulk sync.
* Fixed a couple of PHP Warnings.

= 1.1.8.1 =
* Fixed PHP fatal error on user role sync.

= 1.1.8.0 =
* Added [ConvertKit integration](https://fusewp.com/article/connect-wordpress-to-convertkit/?ref=prochangelog).
* Pro: [ACF integration](https://fusewp.com/article/advanced-custom-fields/?ref=prochangelog).
* Added sync support when user role changes.
* Added bulk action to delete all logs.

= 1.1.7.0 =
* Added [HubSpot integration](https://fusewp.com/article/connect-wordpress-to-hubspot/?ref=changelog).
* Pro: [ProfilePress integration](https://fusewp.com/article/sync-profilepress-email-marketing/?ref=changelog).
* Pro: [Restrict Content Pro integration](https://fusewp.com/article/sync-restrict-content-pro-email-marketing/?ref=changelog).

= 1.1.6.0 =
* Added [Bulk-sync feature](https://fusewp.com/article/bulk-sync-existing-users-memberships-records/) for syncing historical/existing records.

= 1.1.5.0 =
* Pro [LifterLMS integration](https://fusewp.com/article/sync-lifterlms-email-marketing/?ref=changelog).
* Pro [Constant Contact - Custom App](https://fusewp.com/article/connect-wordpress-to-constant-contact/?ref=changelog#Connecting_Constant_Contact_via_Custom_App) integration.
* Pro: Sync support for Ultimate Member.
* Added [Sendy integration](https://fusewp.com/article/connect-wordpress-to-sendy/?ref=changelog).
* Fixed bug with AWeber not updating a subscriber that exists.
* Fixed memory issue on user sync table display.

= 1.1.4.0 =
* Pro [Paid Memberships Pro integration](https://fusewp.com/article/sync-paid-memberships-pro-email-marketing/?ref=changelog)
* Added [AWeber integration](https://fusewp.com/article/connect-wordpress-to-aweber/?ref=changelog)
* Fixed bug where contacts might be unsubscribed when they should be subscribed.
* Fixed bug where ActiveCampaign jobTitle value could be Array.

= 1.1.3.0 =
* Pro: [LearnDash integration](https://fusewp.com/article/sync-learndash-email-marketing/?ref=changelog)
* Added [Brevo (Sendinblue integration)](https://fusewp.com/article/connect-wordpress-to-brevo/?ref=changelog)

= 1.1.2.0 =
* Pro [WooCommerce Subscriptions integration](https://fusewp.com/article/sync-woocommerce-subscriptions-email-marketing/?ref=changelog)
* Added [ActiveCampaign integration](https://fusewp.com/article/connect-wordpress-to-activecampaign/?ref=changelog)
* Fixed bug where an empty error could be logged.

= 1.1.1.0 =
* Pro [MemberPress integration](https://fusewp.com/article/sync-memberpress-email-marketing/?ref=changelog)
* Added [Campaign Monitor integration](https://fusewp.com/article/connect-wordpress-to-campaign-monitor/?ref=changelog)
* Added "any roles" support to user role sync.
* Fixed bug where mailchimp subscription fails on empty merge fields.
* PHP 8 improvements.
* Fixed bug where disabled sync rules might still be triggered.
* Fixed bug where integration select-dropdown included unconnected integrations.
* Fixed bug where Add new sync rule page left the menu inactive.

= 1.1.0.0 =
* The genesis